Bug 11464 - xid2sid gives inconsistent results
xid2sid gives inconsistent results
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Winbind
4.3.0rc1
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-24 13:23 UTC by Stefan Metzmacher
Modified: 2015-08-31 11:37 UTC (History)
3 users (show)

See Also:


Attachments
Patches for v4-3-test (31.79 KB, patch)
2015-08-27 12:49 UTC, Stefan Metzmacher
vl: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2015-08-24 13:23:08 UTC
The configuration of per domain idmap backends only works
after a successful enumeration of domains.
Comment 1 Volker Lendecke 2015-08-25 17:22:38 UTC
Just a quick hint: v4-3-stable with f504681..617bc3f survives an autobuild fine. I don't have the required git foo to correctly prepare the patches in the form required for a backport.
Comment 2 Stefan Metzmacher 2015-08-27 12:49:45 UTC
Created attachment 11372 [details]
Patches for v4-3-test

I created this attachement like this (in a checkout of v4-3-test)

git log --oneline f504681..617bc3f|wc -l

gives 12

git cherry-pick -x -12 617bc3f
...
git format-patch --stdout -12 > ../tmp42.diff.txt



git cherry-pick -x f504681..617bc3f would also
work but then we would need a more complex way to
get the correct git format-patch arguments.

Instead of 'wc -l' I typically use '-N' in side of 'less'
which is called from git log --oneline...
Comment 3 Stefan Metzmacher 2015-08-31 08:17:35 UTC
Pushed to autobuild-v4-3-test
Comment 4 Stefan Metzmacher 2015-08-31 11:37:15 UTC
Pushed to v4-2-test